Runtime

## org.eclipse.gmf.runtime.diagram.ui.printing.actions
Class PrintPreviewAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.gmf.runtime.diagram.ui.printing.actions.PrintPreviewAction

All Implemented Interfaces:
  IAction

    public class PrintPreviewAction

extends Action

This is the action for print preview. It opens a dialog showing how the diagram will look when printed. The `PrintPreviewHelper` passed into the constructor does the actual work of the print preview. The `IPrintActionHelper` passed into the constructor does the actual work of showing the print settings dialog and doing the print if the user were to initiate a print from within the print preview dialog.

Field Summary
`static java.lang.String` `ID` ID of the print preview action.

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`` `PrintPreviewAction(IPrintActionHelper printActionHelper)` Creates a new instance.
`protected` `PrintPreviewAction(IPrintActionHelper printActionHelper, org.eclipse.gmf.runtime.diagram.ui.printing.internal.printpreview.PrintPreviewHelper printPreviewHelper)` Creates a new instance.

Method Summary
`boolean` `isEnabled()` Enable the menu item if Platform is running on Windows.
`void` `run()` Opens a dialog showing how the diagram will look when printed.
`protected void` `setPrintActionHelper(IPrintActionHelper printActionHelper)` Set the print action helper that helps perform the print action in the print preview dialog.
`protected void` `setPrintPreviewHelper(org.eclipse.gmf.runtime.diagram.ui.printing.internal.printpreview.PrintPreviewHelper printPreviewHelper)` Set the print preview helper responsible for performing the print preview.

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### ID

    public static final java.lang.String ID

  ID of the print preview action.

  See Also:
    Constant Field Values

Constructor Detail

### PrintPreviewAction

    protected PrintPreviewAction(IPrintActionHelper printActionHelper,
                                 org.eclipse.gmf.runtime.diagram.ui.printing.internal.printpreview.PrintPreviewHelper printPreviewHelper)

  Creates a new instance.

  Parameters:
    `printActionHelper` - the helper class used to show the print settings dialog and do a print if the user were to try to print from within the print preview dialog.
    `printPreviewHelper` - the helper class that creates that creates the print preview dialog

### PrintPreviewAction

    public PrintPreviewAction(IPrintActionHelper printActionHelper)

  Creates a new instance.

  Parameters:
    `printActionHelper` - the helper class used to show the print settings dialog and perform the actual printing if the user were to print from within the print preview dialog.

Method Detail

### run

    public void run()

  Opens a dialog showing how the diagram will look when printed. Uses the print preview helper and optionally the print action helper.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### setPrintActionHelper

    protected void setPrintActionHelper(IPrintActionHelper printActionHelper)

  Set the print action helper that helps perform the print action in the print preview dialog.

  Parameters:
    `printActionHelper` - the IPrintActionHelper

### setPrintPreviewHelper

    protected void setPrintPreviewHelper(org.eclipse.gmf.runtime.diagram.ui.printing.internal.printpreview.PrintPreviewHelper printPreviewHelper)

  Set the print preview helper responsible for performing the print preview.

### isEnabled

    public boolean isEnabled()

  Enable the menu item if Platform is running on Windows.

  Specified by:
    `isEnabled` in interface `IAction`
  Overrides:
    `isEnabled` in class `Action`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.